Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalFileChooserUI.FilterComboBoxModel

    java.lang.Object
      |
      +--javax.swing.AbstractListModel
            |
            +--javax.swing.plaf.metal.MetalFileChooserUI.FilterComboBoxModel

All Implemented Interfaces:
  ComboBoxModel, EventListener, ListModel, PropertyChangeListener, Serializable

Enclosing class:
  MetalFileChooserUI

protected class MetalFileChooserUI.FilterComboBoxModel
extends AbstractListModel
implements ComboBoxModel, PropertyChangeListener

Data model for a type-face selection combo-box.

See Also:
  Serialized Form

Field Summary
`protected FileFilter[]` | `filters`

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`protected` | `MetalFileChooserUI.FilterComboBoxModel()`

Method Summary
`Object` | `getElementAt(int index)` Returns the value at the specified index.
`Object` | `getSelectedItem()` Return the selected item
`int` | `getSize()` Returns the length of the list.
`void` | `propertyChange(PropertyChangeEvent e)` This method gets called when a bound property is changed.
`void` | `setSelectedItem(Object filter)` Set the selected item

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.ListModel
`addListDataListener, removeListDataListener`

Field Detail

### filters

    protected FileFilter[] filters

Constructor Detail

### MetalFileChooserUI.FilterComboBoxModel

    protected MetalFileChooserUI.FilterComboBoxModel()

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent e)

  Description copied from interface: `PropertyChangeListener`
  This method gets called when a bound property is changed.
  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Following copied from interface: `java.beans.PropertyChangeListener`
  Parameters:
    `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.

### setSelectedItem

    public void setSelectedItem(Object filter)

  Description copied from interface: `ComboBoxModel`
  Set the selected item
  Specified by:
    `setSelectedItem` in interface `ComboBoxModel`

### getSelectedItem

    public Object getSelectedItem()

  Description copied from interface: `ComboBoxModel`
  Return the selected item
  Specified by:
    `getSelectedItem` in interface `ComboBoxModel`

### getSize

    public int getSize()

  Description copied from interface: `ListModel`
  Returns the length of the list.
  Specified by:
    `getSize` in interface `ListModel`

### getElementAt

    public Object getElementAt(int index)

  Description copied from interface: `ListModel`
  Returns the value at the specified index.
  Specified by:
    `getElementAt` in interface `ListModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.